/* -----Text main menu---- */
.navbar-menu  {
  background-color: #f8f8f8;
  position: absolute;
  top: calc(90% - 100px);
  left: 50%;
  width: 80%;
  height: 50px;
  transform: translateX(-300%);
  transition: 0.5s;
}

/*Text bar horizontal menu position*/
.navbar-menu.active { transform: translateX(-50%);transition: 0.5s; } 

.navbar-menu .menu-listing { padding: 0;margin: 0;text-align: right; }

/*Text bar menu order ( block, inline-block...etc*/
.menu-listing li { display: inline-block; }

/*Text bar link box*/
.menu-listing li a {
  background-color: #f8f8f8;
  color: #000;
  display: block;
  font-size: 1rem;
  height: 50px;
  line-height: 30px;
  padding: 0 20px;
  letter-spacing: 1px;
  text-decoration: none;
  transition: 0.5s;
}

/*Text bar link box hover*/
.menu-listing li a:hover{ 
background-color: #262626;
color: #f8f8f8;
transition: 0.5s; 
}


/* ------Hamburguer box----- */
.menu {
  position: fixed;
  top: calc(76% - 100px);
  right: calc(25% - 100px);
  background-color: #F8F8F8;
  height: 100px;
  width: 100px;
  cursor: pointer;
  transition: 0.3s;
  z-index: 9999;
}

/* Top line*/
.menu span:before {  
  position: absolute;
  height: 3px;
  width: 95px;
  top: -30px;
  left: -1px;
  background-color: #000;  
  transition: 0.3s;
  content: '';
}

/* Middle line*/
.menu span {
  position: absolute;
  height: 3px;
  width: 95px;
  top: 50%;
  left: 50%;
  background-color: #e01010; 
  transition: 0.3s;
  transform: translate(-50%,-50%);
}

/* Bottom line*/
.menu span:after {  
  position: absolute;
  height: 3px;
  width: 95px;
  top: 30px;
  left: -1px;
  background-color: #000;  
  transition: 0.3s;
  content: '';
}

.menu.active span { background-color: transparent; }

.menu.active span:before { transform: rotate(45deg);top: 0; }

.menu.active span:after { transform: rotate(-45deg);top: 0; background-color: #e01010;}

/* ------ Submenus del menu principal------ */

/* The container <div> - needed to position the dropdown content */
.dropdown {
  position: justify;
  display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f8f8f8;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {background-color: #000;color: #f8f8f8;}

/* Show the dropdown menu on hover */
.dropdown:hover .dropdown-content {
  display: block;
}

/* Change the background color of the dropdown button when the dropdown content is shown */
.dropdown:hover .dropbtn {
  background-color: #f8f8f8;
}


/* -------------------------------------------------------------- Menu T5 ------------------------------------------------ */

/* -----Text main menu---- */
.navbar-menu  {
  background-color: #f8f8f8;
  position: absolute;
  top: calc(90% - 100px);
  left: 50%;
  width: 80%;
  height: 50px;
  transform: translateX(-300%);
  transition: 0.5s;
}

/*Text bar horizontal menu position*/
.navbar-menu.active { transform: translateX(-50%);transition: 0.5s; } 

.navbar-menu .menu-listing { padding: 0;margin: 0;text-align: right; }

/*Text bar menu order ( block, inline-block...etc*/
.menu-listing li { display: inline-block; }

/*Text bar link box*/
.menu-listing li a {
  background-color: #f8f8f8;
  color: #000;
  display: block;
  font-size: 1rem;
  height: 50px;
  line-height: 30px;
  padding: 0 20px;
  letter-spacing: 1px;
  text-decoration: none;
  transition: 0.5s;
}

/*Text bar link box hover*/
.menu-listing li a:hover{ 
background-color: #262626;
color: #f8f8f8;
transition: 0.5s; 
}


/* ------Hamburguer box----- */
.menuT5 {
  position: fixed;
  top: calc(72% - 100px);
  right: calc(25% - 100px);
  background-color: #F8F8F8;
  height: 100px;
  width: 100px;
  cursor: pointer;
  transition: 0.3s;
  z-index: 9999;
}

/* Top line*/
.menuT5 span:before {  
  position: absolute;
  height: 3px;
  width: 95px;
  top: -30px;
  left: -1px;
  background-color: #000;  
  transition: 0.3s;
  content: '';
}

/* Middle line*/
.menuT5 span {
  position: absolute;
  height: 3px;
  width: 95px;
  top: 50%;
  left: 50%;
  background-color: #e01010; 
  transition: 0.3s;
  transform: translate(-50%,-50%);
}

/* Bottom line*/
.menuT5 span:after {  
  position: absolute;
  height: 3px;
  width: 95px;
  top: 30px;
  left: -1px;
  background-color: #000;  
  transition: 0.3s;
  content: '';
}

.menuT5.active span { background-color: transparent; }

.menuT5.active span:before { transform: rotate(45deg);top: 0; }

.menuT5.active span:after { transform: rotate(-45deg);top: 0; background-color: #e01010;}
